aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-cryptography/APKBUILD
diff options
context:
space:
mode:
authorAmatCoder <amatcoder@gmail.com>2014-12-11 10:20:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-16 14:19:58 +0000
commit0af55dd849be0bc478fc5c704164a72da3748410 (patch)
treed4ee181852446fec82adca43ff0087e67ac570da /testing/py-cryptography/APKBUILD
parent2192c29544c5eebbe61c3f15115a9eb4dc3cc057 (diff)
downloadaports-0af55dd849be0bc478fc5c704164a72da3748410.tar.gz
aports-0af55dd849be0bc478fc5c704164a72da3748410.tar.bz2
aports-0af55dd849be0bc478fc5c704164a72da3748410.tar.xz
testing/py-cryptography: new aport
Diffstat (limited to 'testing/py-cryptography/APKBUILD')
-rw-r--r--testing/py-cryptography/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-cryptography/APKBUILD b/testing/py-cryptography/APKBUILD
new file mode 100644
index 0000000000..84c8ad828a
--- /dev/null
+++ b/testing/py-cryptography/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: August Klein <amatcoder@gmail.com>
+# Maintainer: August Klein <amatcoder@gmail.com>
+pkgname=py-cryptography
+_pkgname=cryptography
+pkgver=0.6.1
+pkgrel=0
+pkgdesc="A package which provides cryptographic recipes and primitives"
+url="http://pypi.python.org/pypi/cryptography"
+arch="all"
+license="ASL 2.0"
+depends=""
+depends_dev="python-dev"
+makedepends="$depends_dev py-setuptools"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/c/cryptography/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="1c48fd78742d85c9cffdcceb6809e45b cryptography-0.6.1.tar.gz"
+sha256sums="024910130a01eda0ce969764d893d2e397168ebb94181ca1ea3e23e19912329e cryptography-0.6.1.tar.gz"
+sha512sums="b99338bbbeb70f37e0bfcc6ef33ddff5beb74f7876a30d34deb3a433ddd77f821e5cc5dde228f792362ae7a261d4ceb3b702fb1a8c30ce15a1e6e4de98ef1afa cryptography-0.6.1.tar.gz"